Subject: Re: [PATCH] merge-recursive.c: use QSORT macro

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Nov 2016 09:21:25 -0800

Jeff King <[email-masked]> writes:

> Another possibility is:
>
>   df_sorted_entries.cmp = string_list_df_name_compare;
>   string_list_sort(&df_sorted_entries);
>
> It's not any shorter, but maybe it's conceptually simpler.

My first reaction to Duy's patch was: it is moronic for the
string-list API not to offer "I've done _append() to add many items
while avoiding the overhead of doing insertion sort all the time;
now I finished adding and I want the result sorted".

And then I looked at string-list.h and there it was ;-)